[arch-commits] Commit in postgresql/repos (extra-i686 extra-i686/PKGBUILD)

Douglas Soares de Andrade douglas at archlinux.org
Sun Oct 19 12:20:39 EDT 2008


    Date: Sunday, October 19, 2008 @ 12:20:39
  Author: douglas
Revision: 15866

Merged revisions 15865 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/postgresql/trunk

........
  r15865 | douglas | 2008-10-19 14:19:52 -0200 (Dom, 19 Out 2008) | 1 line
  
  upgpkg: postgresql 8.3.4-3
........

Modified:
  postgresql/repos/extra-i686/	(properties)
  postgresql/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)


Property changes on: postgresql/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /postgresql/trunk:1-15863
   + /postgresql/trunk:1-15865

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-19 16:19:52 UTC (rev 15865)
+++ extra-i686/PKGBUILD	2008-10-19 16:20:39 UTC (rev 15866)
@@ -3,7 +3,7 @@
 
 pkgname=postgresql
 pkgver=8.3.4
-pkgrel=2
+pkgrel=3
 pkgdesc="A sophisticated object-relational DBMS"
 arch=(i686 x86_64)
 license=('BSD')
@@ -12,11 +12,11 @@
 depends=("postgresql-libs>=$pkgver")
 options=('!makeflags')
 source=(ftp://ftp.postgresql.org/pub/source/v${pkgver}/postgresql-${pkgver}.tar.bz2 \
-        postgresql postgresql.confd build.patch)
-md5sums=('c339b9d3c0c4add64c7a76640fc93744' '7d8ea2abb6a8cdacf35604bda659a34a'\
-         'df6ddf9e2ab4700a3415f17c0f4f4172' '4d74f4227dc5e12bf95b3490758d86c9')
+        postgresql postgresql.confd build.patch postgresql.pam)
+md5sums=('c339b9d3c0c4add64c7a76640fc93744' '7d8ea2abb6a8cdacf35604bda659a34a'
+         'df6ddf9e2ab4700a3415f17c0f4f4172' '4d74f4227dc5e12bf95b3490758d86c9'
+         '96f82c38f3f540b53f3e5144900acf17')
 
-
 build() {
   cd ${startdir}/src/$pkgname-$pkgver || return 1
 
@@ -24,11 +24,8 @@
   patch -Np1 -i ../build.patch || return 1
 
   # configure
-  ./configure --prefix=/usr --mandir=/usr/share/man \
-  --with-docdir=/usr/share/doc --with-openssl \
-  --with-pam \
-  --datadir=/usr/share/postgresql \
-  || return 1
+  ./configure --prefix=/usr --mandir=/usr/share/man --with-docdir=/usr/share/doc --with-openssl --datadir=/usr/share/postgresql --with-pam \
+  	|| return 1
   sed -i -e '/interfaces/d' src/Makefile || return 1
 
   # build
@@ -56,5 +53,8 @@
   install -D -m644 $startdir/src/postgresql.confd \
     $startdir/pkg/etc/conf.d/postgresql || return 1
 
+  install -D -m644 $startdir/src/postgresql.pam \
+    $startdir/pkg/etc/pam.d/postgresql
+
   chown root:root $startdir/pkg/usr/share/doc/postgresql/html/*
 }




More information about the arch-commits mailing list